Description

There is a need to exchange information on voltage (dc voltage) and power to DC part of the grid in the same way like for the AC part
of the model. In addition the DC terminal is missing polarity

Proposed Solution

- Add class SvPowerFlowDc that inherits from StateVariable (description: State variable for power flow. Load convention is used for
flow direction. This means flow out from the DCTopologicalNode into the equipment is positive.)

the class has attribute .p with description: The active power flow. Load sigh convention is used, i.e. positive sign means flow out from
a DCTopologicalNode (bus) into the conducting equipment.

- add association between DCTerminal and SvPowerrFlowDC

- Add class SvVoltageDC that inherits from StateVariable and has association with DCTopologicalNode. The description is: State
variable for direct current voltage.

- Add SvVoltageDC.v with description State variable for direct current voltage.

- Add DCTerminal.polarity with datatype enumeration DCTerminalPolatityKind (positive and negative)

Description: Represents the normal network polarity condition.
Discuss possible alignment with ACDCConverterDCTerminal

15 Nov 2023

On the polarity:

- we need some information from Measurement

- there is thinking that + and - might change. This needs to be double checked and based on this we can see what is in the EQ and
what can be in result and if it should be exchanged.

On the Sv classes
we agree to add the classes, but call them SvDCPowerFlow and SvDCVoltage

13 Dec 2023:

Chavdar checked that we have two situations depending on the HVDC type/configuration. In case we have HVDC that uses VSC
technology, we need explicit polarity of the terminals in the DC part of the grid. However, for LCC technology the polarity of the
terminals at the DC side is changing depending on the direction of the power flow. Therefore in the profile we have to keep the
polarity optional and have constraints to require or not depending on the technology.

Decision
Reviewed on 20-Dec-2023 in weekly WG13 modeling call:

DECISIONS:
Agreed to apply the outcomes of Chavdar's investigation (see notes for 13-Dec-2023 in the proposed solutions).

Release Notes

- Added SvDCPowerFlow that inherits from StateVariable (description: State variable for power flow. Load convention is used for flow
direction. This means flow out from the DCTopologicalNode into the equipment is positive.)

the class has attribute .p with description: The active power flow. Load sign convention is used, i.e. positive sign means flow out from
a DCTopologicalNode (bus) into the conducting equipment.

- added association between DCTerminal and SvDCPowerFlow

- Added class SvDCVoltage that inherits from StateVariable and has association with DCTopologicalNode. The description is: State
variable for direct current voltage.

- Added SvDCVoltage.v with description State variable for direct current voltage

- added DCTerminal.polarity with datatype enumeration DCTerminalPolatityKind (positive and negative)

Profile changes

- 61970-452 - DCTerminal.polarity added as optional attribute in EQ profile

- 61970-456 - SvDCVoltage and SvDCPowerFlow added to SV profile

- 61970 -452 - Add the following constraint

C:452:EQ:DCTerminal:polarity

If a DC system contains VsConverter the attribute DCTerminal.polarity is required for all DCTerminal within the DC system.

History
#4 - 12/20/2023 11:03 AM - Todd Viegut
- Proposed Solution updated

- Decision updated

#5 - 01/17/2024 09:44 AM - Chavdar lvanov
#6 - 02/04/2024 12:53 AM - Chavdar Ilvanov
- Status changed from Review to In Progress
- Author/Contact Info set to Chavdar Ivanov
- Solution to be Applied To set to CIM18v10
